import { setEnv } from '@/api/baseApi';
import ChatViews from './src/views/chat-views/index.vue';
import ChatRoom from './src/views/chat-views/chat-room.vue';
import '@/assets/iconfont/iconfont.js';
import '@/assets/iconfont/iconfont.css';
import 'virtual:windi.css';
import directives from '@/directive';
import contextmenu from 'v-contextmenu';
import 'v-contextmenu/dist/themes/default.css';

const installChat = (app, env) => {
  app.use(directives);
  app.use(contextmenu);
  setEnv(env);
  setTimeout(() => {
    if (!document.body.classList.contains('im-chat-style')) {
      document.body.classList.add('im-chat-style');
    }
  }, 10);
};
export { ChatViews, installChat, ChatRoom };

export default {};
