import { DOC_LABEL_MAP } from '@/config/doc'
import { MSG_ROBOT_DOC } from '@/types/im/msg_type'

const parseBotDoc = (msgObj: MSG_ROBOT_DOC, uuid: string, im_id: string) => {
  const { user_name, auth, name, passport_uuid, result } = msgObj || {}
  if (uuid === passport_uuid || im_id === passport_uuid) {
    return {
      title: `${user_name}${result === 2 ? '拒绝' : '开通'}了「${name}」的${DOC_LABEL_MAP[auth]}权限`
    }
  } else {
    return {
      title: `${user_name}申请文档的${DOC_LABEL_MAP[auth]}权限`,
      content: `Hi，我是${user_name}，请帮我开通『 ${name} 』这份文档的${DOC_LABEL_MAP[auth]}权限`
    }
  }
}

export default parseBotDoc
