import { fileIconNameMap } from '@/utils/globalData'
export interface RoomItem {
  icon: string;
  name: string;
  room_id: string;
  room_type: number // 0单聊 1频道（抛弃） 3群聊
  msg: string;
  msg_type: string;
  total: number;
  uniq_id: string; // 单聊
  create_time: string; // 最后一条消息时间
  attached: string;
  type: string;
  channel_number_num: number // 房间人数
  in_channel: number // 我是否在房间内
  is_dissolution: number // 是否免打扰
  topping: number // 是否置顶
  is_manager: number // 是否是管理员
  last_msg_info: MessageItem // 最后一条消息

}

export interface MessageItem {
  id: any;
  room_id: string;
  msg: string;
  uniq_id: string;
  create_time: string;
  msg_type: string;
  icon: string;
  name: string;
  attached: string;
  type: string;
  is_read: number;
  showTime?: boolean;
}

export const fileTypeMap = {
  ppt: fileIconNameMap.ppt,
  pptx: fileIconNameMap.ppt,
  doc: fileIconNameMap.word,
  docx: fileIconNameMap.word,
  pdf: fileIconNameMap.pdf,
  xls: fileIconNameMap.excel,
  xlsx: fileIconNameMap.excel,
  csv: fileIconNameMap.excel,
  jpg: fileIconNameMap.img,
  jpeg: fileIconNameMap.img,
  png: fileIconNameMap.img,
  gif: fileIconNameMap.img,
  webp: fileIconNameMap.img,
  rar: fileIconNameMap.zip,
  zip: fileIconNameMap.zip,
  '7z': fileIconNameMap.zip,
  mp3: fileIconNameMap.audio,
  wav: fileIconNameMap.audio,
  aac: fileIconNameMap.audio,
  md: fileIconNameMap.md,
  txt: fileIconNameMap.txt,
  file: fileIconNameMap.file,
  html: fileIconNameMap.code,
  css: fileIconNameMap.code,
  js: fileIconNameMap.code,
  json: fileIconNameMap.code,
  php: fileIconNameMap.code,
  java: fileIconNameMap.code,
  c: fileIconNameMap.code,
  cpp: fileIconNameMap.code,
  py: fileIconNameMap.code,
}
export const getFileType = (fileName: any) => {
  const fileExt = fileName.split(".").pop().toLowerCase();
  return (
    fileTypeMap[fileExt] ||
    "icon-link-desktopwenjianleixing-biaozhuntu-weizhiwenjian"
  );
};
