import { getChatDB } from './common'
// 获取聊天列表
export const getChatListFromDb = async (tab) => {
  const db = await getChatDB()
  let arr = []
  let cursor = await db.transaction(['chat']).store.openCursor()
  while (cursor) {
    arr.push(cursor.value)
    cursor = await cursor.continue()
  }
  return arr
}
// 更新聊天列表
export const updateChatList = async (list, reset) => {
  const db = await getChatDB()
  const tx = db.transaction('chat', 'readwrite')
  if (reset) {
    await tx.store.clear()
  }
  let addList = list.map((item) => {
    return tx.store.put(item)
  })
  addList.push(tx.done)
  return Promise.all(addList)
}

export const removeChatFromDb = async (chat_id) => {
  const db = await getChatDB()
  const tx = db.transaction('chat', 'readwrite')
  tx.objectStore('chat').delete(chat_id)
}
