import axios from 'axios'
import { dataURLtoFile } from '@/components/chat-module/msgUtils/util';
import EventBus from "@/utils/mitt";
import { ElMessage } from 'element-plus';
const useGlobalCloud = () => {
  window.electronIPC?.addCloudImg((e, params) => {
    if (params === 'data:image/png;base64,') {
      ElMessage.error('该图片暂不支持上传到云盘')
      return
    }
    const subname = new Date(Date.now() + 28800000)
      .toISOString()
      .replace(/-|:/g, '')
      .replace(/\..*/g, '')
      .replace('T', '-')
    const file = dataURLtoFile(params, 'see-' + subname)
    EventBus.emit('addCloud', {data: {file}})
  }).on()
}

export default useGlobalCloud