import { ref } from 'vue'
const useNativePreview = () => {
  const previewLoading = ref(false)
  const preview = (url) => {
    if (previewLoading.value) {
      return
    }
    previewLoading.value = true
    window.electronIPC?.preview(url).finally(() => {
      previewLoading.value = false
    })
  }
  return {
    previewLoading,
    preview
  }
}

export default useNativePreview