import { defineStore } from 'pinia'
import { computed, ref } from 'vue'
import { api_getIndustryList } from '@/api/link-api/user'
import { debounce } from '@/utils/tools'

export const useIndustryStore = defineStore('IndustryStore', () => {
  type IndustryType = {
    id: string
    hangye_name: string
  }
  const industryList = ref<IndustryType[]>([])
  /* 获取行业 */
  const GET_INDUSTRY_LIST = debounce(() => {
    if (industryList.value.length) return
    api_getIndustryList().then((res:any) => {
      industryList.value = res.data.list
    })
  })
  return {
    industryList, GET_INDUSTRY_LIST
  }
})
