import { defineStore } from 'pinia'
import { ref } from 'vue'
import {api_provinceCityList} from '@/api/link-api/user/index';
import { debounce } from '@/utils/tools'

export const useRegionStore = defineStore('RegionStore', () => {
  type RegionType = {
    id: string
    hangye_name: string
    children?: any[]
  }
  const regionList = ref<any[]>([])
  /* 获取行业 */
  const GET_REGION_LIST = debounce(() => {
    if (regionList.value.length) return
    api_provinceCityList().then((res:any) => {
      let list = res.data.list
      list.pop() // 删除国外城市
      list.forEach((province:any) => {
        const childList:any[] = []
        province.list.forEach((city:any) => {
          childList.push({ value: city.name, label: city.name })
        })
        regionList.value.push({
          value: province.name,
          label: province.name,
          children: childList
        })
      })
    })
  })
  return {
    regionList, GET_REGION_LIST
  }
})
