export function messageFormat(data) {
  if (data.msg_type == 'html' || data.msg_type === 'text') {
    if (data.msg.includes('<img src=')) {
      return '[图片]';
    } else {
      return data.msg.replace('<p>', '').replace('</p>', '');
    }
  } else if (data.msg_type == 'html_new') {
    if (JSON.parse(data.msg).msg.includes('<img src=')) {
      return '[图片]';
    } else {
      return JSON.parse(data.msg).msg.replace('<p>', '').replace('</p>', '');
    }
  } else if (data.msg_type == 'file') {
    return '[文件]data.msg.name';
  } else if (data.msg_type == 'reply') {
    return JSON.parse(data.msg).reply_msg.replace('<p>', '').replace('</p>', '');
  } else if (data.msg_type == 'custom') {
    switch (JSON.parse(data.msg).type) {
      case 'groupInvite':
        return '[群聊邀请]';
      case 'quickin-company':
        return '[公司名片]';
      case 'companyWiki':
        return '[企业百科]';
      case 'news':
        return '[资讯]';
      case 'company':
        return '[企业号]';
      case 'user':
        return '[推荐人脉]';
      case 'knowledge':
        return '[用户动态]';
      case 'mail':
        return '[通讯录]';
      case 'collection':
        return '[合集]';
      case 'product':
        return '[产品]';
      case 'recruit':
        return '[招聘]';
    }
  } else if (data.msg_type == 'card') {
    return '[人物名片]';
  } else if (data.msg_type == 'robot_msg') {
    return '[科技快讯]';
  } else {
    return onFormatTypeText(data.msg_type) || '[不支持此消息类型]';
  }
}

/* 消息类型展示文案 */
export const onFormatTypeText = (type, custom_type) => {
  let text = '';
  switch (type) {
    case 'custom':
      switch (custom_type) {
        case 'quickin-company':
          text = '[公司名片]';
          break;
        case 'groupInvite':
          text = '[群聊邀请]';
          break;
        case 'companyWiki':
          text = '[企业百科]';
          break;
        case 'news':
          text = '[资讯]';
          break;
        case 'company':
          text = '[企业号]';
          break;
        case 'user':
          text = '[推荐人脉]';
          break;
        case 'knowledge':
          text = '[用户动态]';
          break;
        case 'mail':
          text = '[通讯录]';
          break;
        case 'collection':
          text = '[合集]';
          break;
        case 'product':
          text = '[产品]';
          break;
        case 'recruit':
          text = '[招聘]';
          break;
      }
      break;
    case 'card':
      text = '[人物名片]';
      break;
    case 'file':
      text = '[文件]';
      break;
    case 'image':
      text = '[图片]';
      break;
    case 'robot_msg':
      text = '[科技快讯]';
      break;
    default:
      break;
  }
  return text;
};

export const isRobot = item => {
  return item.type === 'tool' || item.type === 'content' || item.type === 'detail';
};
