import { SendOneMessage } from 'send-message';
import dayjs from 'dayjs';
import { useUserLinkInfo } from '@/store/link-store/user';
/* 打印日志信息 */
export function onConsoleLog(title: string, res: any) {
  console.log('=' + title + '=', Date(), res);
}

export const sendOneLog = (v: string) => {
  const user = useUserLinkInfo();
  const { name, company, uniq_id, phone } = user.person;
  const _company = company ? `${company}` : '';
  const _phone = uniq_id || phone;
  const sendValue = `${dayjs().format(
    'MM月DD日 HH:mm',
  )}，${_company}（${name}-${_phone}）${v}，来源Startup`;
  if (process.env.NODE_ENV === 'development') {
    console.log(sendValue);
  } else {
    SendOneMessage({
      list: [
        {
          fields: [
            {
              column_id: 'c5_5c53awtpG1q',
              value: sendValue,
            },
          ],
        },
      ],
      sheet_id: '56517f19aa289885c43e8db9137fb1b03744',
      token: 'e0a53fc7d32cdde2024fe6b019e64121',
    });
  }
};
