import { ElMessage } from 'element-plus';
async function judgeHasPermission() {
  if (window.Notification.permission === 'granted') {
    return true;
  }
  return await new Promise(resolve => {
    // 新版api已经改成了promise，但是safari还是用的回调
    window.Notification.requestPermission(status => {
      if (status === 'granted') {
        resolve(true);
      } else {
        ElMessage.info('请开启通知权限');
        resolve(false);
      }
    });
  });
}

export async function notify(title, option, onclick, autoClose) {
  return;
  const hasPermission = await judgeHasPermission();
  if (!hasPermission) return;
  const instance = new Notification(title, option);
  let timer;
  instance.onclick = () => {
    timer && clearTimeout(timer);
    instance.close();
    window.focus();
    typeof onclick === 'function' && onclick();
  };
  if (option.requireInteraction && autoClose) {
    timer = setTimeout(() => {
      instance.close();
      timer = null;
    }, 4000);
  }
}
