import axios from 'axios'
import { SOURCE } from '@/api/baseApi';
import { ElMessage } from 'element-plus';
import Cookies from 'js-cookie'
import { ENV } from '@/api/baseApi';

const service = axios.create({
  baseURL: '',
  timeout: 60000,
});

// 请求拦截器
service.interceptors.request.use(
  config => {
    config.headers['version'] = '1.0.0';
    config.headers['platform'] = 'pc';
    config.headers['system'] = 's2';
    config.headers['source'] = SOURCE || 'see';
    config.headers['Authorization'] = Cookies.get(`lsn-token${ENV === 'dev' ? '-dev' : ''}`);
    config.headers['Content-Type'] = 'application/json;charset=utf-8';
    return config;
  },
  error => {
    console.log(error);
    Promise.reject(error);
  },
);

// 响应拦截器
service.interceptors.response.use(
  response => {
    const res = response.data;
    return res;
  },
  error => {
    return Promise.reject(error);
  },
);

export default service;
