/* 小写字母*/
export function validateLowerCase(str:string) : boolean {
  const reg = /^[a-z]+$/
  return reg.test(str)
}

/* 大写字母*/
export function validateUpperCase(str:string) {
  const reg = /^[A-Z]+$/
  return reg.test(str)
}

/* 大小写字母*/
export function validateAlphabets(str:string) {
  const reg = /^[A-Za-z]+$/
  return reg.test(str)
}

export function validateEmail(email:string) {
  const re =
    /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
  return re.test(email)
}

export function validatePhone(phone:string) {
  return /^1[3-9]\d{9}$/.test(phone)
}

export function isChinese(str:string) {
  return /^[\u4e00-\u9fa5]+$/.test(str)
}

/* 合法uri 问号后面的内容匹配更宽泛了，为了避免出问题，单独拿出来IM部分测试 */
export const urlPattern2 =
  /((https?):\/\/)?([a-zA-Z0-9.-]+(:[a-zA-Z0-9.&%$-]+)*@)*((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]?)(\.(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]?[0-9])){3}|([a-zA-Z0-9-]+\.)*[a-zA-Z0-9-]+\.(com|cn|net|org|info|edu|gov|app))(:[0-9]+)*([\/\?]($|[\S]*))*/gi

export const getRegExp = (str:string, pattern:string) => {
  ;['.', '?', '+', '*', '{', '}', '[', ']', '(', ')', '^', '$', '|'].forEach((char) => {
    str = str.replaceAll(char, `\\${char}`)
  })
  return new RegExp(str, pattern)
}
// 上传特殊字符
export const specialCharacter = /[\\:*<>"|?/^+&]/g
export function specialCharacterDelete(str = '') {
  return str.replaceAll(specialCharacter, () => ' ')
}
