import { onBeforeUnmount, onMounted, ref, nextTick } from 'vue';
import { useUserImStore } from '@/store/userIm';
import { useUserLinkInfo } from '@/store/link-store/user';
import { onSetLSItem } from '@/utils/localStorage';
import { CONNECT_LINK_SOCKET } from '@/hooks/useWebSocket';
import { setSource } from '@/api/baseApi';

export const useInit = props => {
  const user = useUserLinkInfo();
  const imStore = useUserImStore();
  imStore.user_im_id = props.userInfo.uniq_id;
  imStore.im_id = props.userInfo.uniq_id;
  imStore.source = props.source || 'see';
  imStore.otherParams = props.otherParams || {};
  imStore.closeChatView = props.closeChatView;
  setSource(imStore.source);
  user.setPerson(props.userInfo);
  onSetLSItem('link-token', props.token);
  // onMounted(() => {
  //   CONNECT_LINK_SOCKET.connect();
  // });
  // onBeforeUnmount(() => {
  //   CONNECT_LINK_SOCKET.disconnect();
  // });
};
