/// <reference types="vite/client" />

declare module '*.js';
declare module 'qrcodejs2-fix';
declare module '*.vue' {
  import type { DefineComponent } from 'vue';
  const component: DefineComponent<{}, {}, any>;
  export default component;
}

declare type TsObject = {
  [prop: string]: any;
};

/** 挂载到 Window 上的自定义属性  */
declare interface Window {
  $openImgDrawer: any;

  /** 桌面端在调试 */
  IS_DEV: boolean;
  /** 桌面端环境 */
  DESKTOP_ENV: 'prod' | 'dev' | string;
  /** 桌面端IPC通信 */
  desktopIPC: {
    /** 获取桌面端的 token */
    getToken: () => Promise<string>;
    getOrigin: () => Promise<string>;
    /** 获取桌面端品牌号的 token */
    getMpToken: () => Promise<string>;
    getCreate: () => Promise<string>;
    onBusiness: (type: string) => Promise<any>;
    /** 与客服聊天 */
    chatWithService: () => undefined;
  };
}
